package com.hssx.pcbms.mapper;

import com.hssx.pcbms.entity.Goods;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hssx.pcbms.entity.vo.GoodsDTO;
import com.hssx.pcbms.entity.vo.GoodsVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 吴涛涛
 * @since 2019-10-25
 */
public interface GoodsMapper extends BaseMapper<Goods> {

    List<GoodsVO> getListBycondition(@Param("keyName") String keyName, @Param("tagId") Integer tagId,@Param("uid")Integer uid);

    GoodsVO getDetail(@Param("id")Integer id);

    List<GoodsVO> selectMyList(@Param("start")Integer start, @Param("pageSize")Integer pageSize, @Param("uid")Integer uid);

    List<GoodsVO> getRackListBycondition(@Param("keyName") String keyName, @Param("tagId") Integer tagId,@Param("uid")Integer uid,@Param("goodType")Integer goodType);

    List<GoodsVO> getEuipmentList(@Param("ids")List<Integer> equipmentIds);
}
